diff options
author | Khem Raj <raj.khem@gmail.com> | 2009-09-19 16:45:32 -0700 |
---|---|---|
committer | Khem Raj <raj.khem@gmail.com> | 2009-09-19 16:45:32 -0700 |
commit | aa0d1e870c41d3375866c8180c720cd0fc27ffcd (patch) | |
tree | c0250ec673a1c26b1914927e0154772188a45f07 /recipes/autoconf | |
parent | 103e2071354d88a1fd6ea34469fd972123350b72 (diff) |
autoconf: Dont execute perl and m4 for target builds
* configure decides to probe perl verison
dont do that as it wont work when building
target autoconf. So far it was executing /usr/bin/perl
and /usr/bin/m4 which is found on most build machines
however micro change the layout and /bin/perl and /bin/m4
is now not found. So it brought up a hidden bug.
Signed-off-by: Khem Raj <raj.khem@gmail.com>
Diffstat (limited to 'recipes/autoconf')
-rw-r--r-- | recipes/autoconf/autoconf-2.61/autoconf-dont-execute-perl.patch | 41 | ||||
-rw-r--r-- | recipes/autoconf/autoconf.inc | 3 | ||||
-rw-r--r-- | recipes/autoconf/autoconf_2.61.bb | 4 |
3 files changed, 46 insertions, 2 deletions
diff --git a/recipes/autoconf/autoconf-2.61/autoconf-dont-execute-perl.patch b/recipes/autoconf/autoconf-2.61/autoconf-dont-execute-perl.patch new file mode 100644 index 0000000000..c336bc57d2 --- /dev/null +++ b/recipes/autoconf/autoconf-2.61/autoconf-dont-execute-perl.patch @@ -0,0 +1,41 @@ +Index: autoconf-2.61/configure.ac +=================================================================== +--- autoconf-2.61.orig/configure.ac 2006-11-17 11:04:48.000000000 -0800 ++++ autoconf-2.61/configure.ac 2009-09-19 16:37:40.000000000 -0700 +@@ -106,10 +106,6 @@ + if test "$PERL" = no; then + AC_MSG_ERROR([perl is not found]) + fi +-$PERL -e 'require 5.005_03;' || { +- AC_MSG_ERROR([Perl 5.005_03 or better is required]) +-} +- + + ## ------- ## + ## Emacs. ## +Index: autoconf-2.61/configure +=================================================================== +--- autoconf-2.61.orig/configure 2006-11-17 11:05:17.000000000 -0800 ++++ autoconf-2.61/configure 2009-09-19 16:38:13.000000000 -0700 +@@ -1557,7 +1557,7 @@ + # Let the site file select an alternate cache file if it wants to. + # Prefer explicitly selected file to automatically selected ones. + if test -n "$CONFIG_SITE"; then +- set x "$CONFIG_SITE" ++ set x $CONFIG_SITE + elif test "x$prefix" != xNONE; then + set x "$prefix/share/config.site" "$prefix/etc/config.site" + else +@@ -2406,12 +2406,6 @@ + echo "$as_me: error: perl is not found" >&2;} + { (exit 1); exit 1; }; } + fi +-$PERL -e 'require 5.005_03;' || { +- { { echo "$as_me:$LINENO: error: Perl 5.005_03 or better is required" >&5 +-echo "$as_me: error: Perl 5.005_03 or better is required" >&2;} +- { (exit 1); exit 1; }; } +-} +- + + ## ------- ## + ## Emacs. ## diff --git a/recipes/autoconf/autoconf.inc b/recipes/autoconf/autoconf.inc index 5bdc7e17ee..2fa12751a1 100644 --- a/recipes/autoconf/autoconf.inc +++ b/recipes/autoconf/autoconf.inc @@ -5,7 +5,7 @@ HOMEPAGE = "http://www.gnu.org/software/autoconf/" SECTION = "devel" DEPENDS += "m4-native" RDEPENDS_${PN} = "m4 perl gnu-config" -INC_PR = "r7" +INC_PR = "r8" SRC_URI = "${GNU_MIRROR}/autoconf/autoconf-${PV}.tar.bz2 \ file://program_prefix.patch;patch=1" @@ -17,5 +17,6 @@ do_configure_prepend () { then export ac_cv_path_PERL="${ac_cv_path_PERL=${bindir}/perl}" export ac_cv_path_M4="${ac_cv_path_M4=${bindir}/m4}" + export ac_cv_prog_gnu_m4="${ac_cv_prog_gnu_m4=yes}" fi } diff --git a/recipes/autoconf/autoconf_2.61.bb b/recipes/autoconf/autoconf_2.61.bb index c3ccacd329..53733a90f8 100644 --- a/recipes/autoconf/autoconf_2.61.bb +++ b/recipes/autoconf/autoconf_2.61.bb @@ -9,4 +9,6 @@ SRC_URI += "file://autoreconf-include.patch;patch=1 \ file://autoreconf-foreign.patch;patch=1 \ file://autoreconf-gnuconfigize.patch;patch=1 \ file://autoheader-nonfatal-warnings.patch;patch=1 \ - file://config-site.patch;patch=1 " + file://config-site.patch;patch=1 \ + file://autoconf-dont-execute-perl.patch;patch=1 \ + " |